// =================================================================================
//	H2CModule.h										 1998 NetFENCE Digital Ventures
// =================================================================================

#pragma once

#include <Types.h>

#include "H2CCallback.h"
#include "H2CTypes.h"


#pragma export on

Handle			h2c_ModuleData = nil;

pascal OSErr	H2C_Initialize ();
pascal OSErr	H2C_Settings ();
pascal OSErr	H2C_Terminate ();
pascal OSErr	H2C_CheckFile (H2CFilesPtrT);
pascal OSErr	H2C_EnterFile (H2CCallbackPtrT, H2CFilesPtrT);
pascal OSErr	H2C_ExitFile (H2CCallbackPtrT, H2CFilesPtrT);
pascal OSErr	H2C_EnterClass (H2CCallbackPtrT, H2CFilesPtrT, H2CClassPtrT);
pascal OSErr	H2C_ExitClass (H2CCallbackPtrT, H2CFilesPtrT, H2CClassPtrT);
pascal OSErr	H2C_Member (H2CCallbackPtrT, H2CFilesPtrT, H2CClassPtrT, H2CMemberPtrT);
pascal OSErr	H2C_Function (H2CCallbackPtrT, H2CFilesPtrT, H2CClassPtrT, H2CFunctionPtrT);

#pragma export off
